%define anolis_release 1

%global tarver 2.1-3

Name:           CUnit
Version:        2.1.3
Release:        %{anolis_release}%{?dist}
Summary:        Unit testing framework for C

License:        LGPL-2.0-or-later
URL:            http://cunit.sourceforge.net/
Provides:       cunit = %{version}-%{release}
Source0:        http://downloads.sourceforge.net/cunit/%{name}-%{tarver}.tar.bz2

BuildRequires:  automake
BuildRequires:  libtool
BuildRequires: make

%description 
CUnit is a lightweight system for writing, administering,
and running unit tests in C.  It provides C programmers a basic
testing functionality with a flexible variety of user interfaces.

%package devel
Summary:        Header files and libraries for CUnit development
Requires:       %{name} = %{version}-%{release}
Provides:       cunit-devel = %{version}-%{release}

%description devel 
The %{name}-devel package contains the header files
and libraries for use with CUnit package.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%setup -q -n %{name}-%{tarver}
find -name *.c -exec chmod -x {} \;

%build
autoreconf -f -i
%configure --disable-static
%make_build

%install
%make_install

# work around bad docdir= in doc/Makefile*
mkdir -p %{buildroot}%{_docdir}/%{name}
mv %{buildroot}%{_prefix}/doc/%{name} %{buildroot}%{_docdir}/%{name}/html

%generate_compatibility_deps

%files
%license COPYING
%{_datadir}/%{name}/
%{_libdir}/libcunit.so.*
%dir %{_docdir}/%{name}
%dir %{abidir}
%{abidir}/*.dump

%files devel
%{_docdir}/%{name}/html/
%{_includedir}/%{name}/
%{_libdir}/libcunit.so
%{_libdir}/pkgconfig/cunit.pc
%{_mandir}/man3/CUnit.3*

%files doc
%doc AUTHORS ChangeLog NEWS README TODO VERSION

%changelog
* Thu Mar 16 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.1.3-1
- init from upstream
